TAAS - Feature #245

Airline Classwise Report
07/09/2023 04:11 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Airline Classwise Report

Description

Coding Airline Classwise Report

History

#1 - 08/16/2023 12:20 PM - Junaid M
- Status changed from New to Open
- Assignee changed from travvise Admin to Karthika V Anand

- % Done changed from 0 to 10

#2 - 08/16/2023 12:22 PM - Karthika V Anand
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 08/18/2023 11:32 AM - Junaid M

SELECT vhr_sector,

pk_ticket_fare_id,
vhr_airline_code,
vhr_airline_name,
vhr_display_name,

pk_airline_master_id,
other, first, second, third, fourth

FROM crosstab (

r_airline,

e_id,

$$ SELECT

ARRAY [vhr_sector,vhr_airline_code] as secto

MIN (pk_supp_doc_fare_id) AS pk_supp_doc_far

vhr_sector,
vhr_airline_code,
vhr_airline_name,
vhr_display_name,
pk_airline_master_id,
sin_class,

SUM (dbl_supplier_amount)

SELECT

MIN (tf.pk_supp_doc_fare_id) AS pk_supp_doc_fare_id,
vhr_sector,

vhr_airline_code,

airln.vhr_airline_name,

airln.vhr_display_name,
airln.pk_airline_master_id,

sin_class,

SUM (tf.dbl_supplier_amount) AS dbl_supplier_amount
FROM airticket.tbl_ticket AS tkt

LEFT JOIN service.tbl_supp_doc_fare AS tf

ON tkt.fk_ticket_base_fare_id = tf.pk_supp_doc_fare_id

LEFT JOIN service.tbl_supp_doc_no AS supp

ON supp.pk_supp_doc_no_id = tkt.fk_supp_doc_no_id
LEFT JOIN airticket.tbl_ticket_gen_data AS tkgen
ON supp.pk_supp_doc_no_id = tkgen.fk_supp_doc_no_id
LEFT JOIN airticket.tbl_airline_master AS airln
ON tkgen.fk_airline _master_id = airln.pk_airline_master_id
WHERE
supp.sin_last_action != 0 AND tkt.sin_record_type = 1
——AND supp.dat_issue BETWEEN '$s' AND '$s'
——-AND supp.fk_ba_branch_id = ANY('{}")
-—>strCurrency = BASEl -> tkt.fk_ticket_base_fare_id/ tkt.fk_ticket_sup_fare_id
——AND supp.sin_sys_sale_side_status = ANY ('{STATUS}")
GROUP BY tkt.sin_class, airln.vhr_airline_name, airln.vhr_airline_code, airln.vhr_display_name, airln.pk_airli
ne_master_id, tkt.vhr_sector

——UNION ALL
—— REFUND QUERY

) AS data

GROUP BY vhr_sector,vhr_airline_code,vhr_airline_name, vhr_display_name,pk_airline_master_id,sin_class

ORDER BY 1 $$ ,$$ SELECT sin_class FROM generate_series(0,4) AS sin_class $9)

AS ct (arrYearLedger text[], pk_ticket_fare_id INT, vhr_sector text, vhr_airline_code text, vhr_airline_name t
ext, vhr_display_name text, pk_airline_master_id bigint, other text, first text, second text, third text, four
th text);

#4 - 08/22/2023 05:34 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 09/03/2023 05:48 PM - unnikannan S
ISSUE FOUNDED

1.ERROR SHOWING WHILE NOT SEARCH WIYHOUT BRANCH FILTER

#6 - 09/03/2023 05:49 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

#7 - 09/04/2023 09:51 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 09/04/2023 01:53 PM - unnikannan S
TESTING DONE

#9 - 09/20/2023 05:53 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE IN DATA THAT ADDED TO PREMIUM ECONOMY CLASS TO ECONOMY CLASS
#10 - 09/25/2023 11:54 AM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 10/06/2023 03:18 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.SHOWING ERROR CURLY BRACKET NULL {} SEARCH WITH PAST DATE

#12 - 10/06/2023 03:19 PM - unnikannan S

unnikannan S wrote in #note-11:

ISSUE FOUNDED

1.SHOWING ERROR CURLY BRACKET NULL {} SEARCH WITH PAST DATE

2.ISSUING STAFF WISE FILTERING NOT WORKING

#13 - 10/06/2023 03:34 PM - unnikannan S

unnikannan S wrote in #note-12:
unnikannan S wrote in #note-11:
ISSUE FOUNDED

1.ISSUING STAFF WISE FILTERING NOT WORKING

#14 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#15 - 10/11/2023 12:09 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

fixed issues
1.ISSUING STAFF WISE FILTERING NOT WORKING
2.ISSUING STAFF NOT APPEARING ON PRINT

#16 - 10/12/2023 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT SHOWING SECTOR WHILE ADDING TICKED REMARKS
2.CORRECT AIRLINE NAME IN HEADING

#17 - 10/13/2023 03:26 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.NOT SHOWING SECTOR WHILE ADDING TICKED REMARKS
2.CORRECT AIRLINE NAME IN HEADING

#18 - 12/18/2023 05:45 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.REMOVE LEDGER CURRENCY FROM CURRENCY FILTER

2.CHANGE VOID NAME SALE & REFUND TO VOID FROM CANCEL GUI IN CONSIDER FILTER
3.SHOWING DATA ONLY FROM VOID FROM CANCEL GUI AND ISSUED VOUCHERS ONLY

4.CHANGE FILTER OPTION NAME STATUS TO CONSIDER
#19 - 12/19/2023 12:10 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE Fixed

1.REMOVE LEDGER CURRENCY FROM CURRENCY FILTER : removed

2.CHANGE VOID NAME SALE & REFUND TO VOID FROM CANCEL GUI IN CONSIDER FILTER : its in document so changes are withheld for
future reference

3.SHOWING DATA ONLY FROM VOID FROM CANCEL GUI AND ISSUED VOUCHERS ONLY : fixed

4.NO DATA WHILE SEARCH WITH INDIVIDUAL CURRENCY : already working

5.CHANGE FILTER OPTION NAME STATUS TO CONSIDER : changed

#20 - 12/20/2023 02:39 PM - unnikannan S
TESTING DONE

#21 - 01/17/2024 12:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGES

1.REMOVE DR,CR LABELS AND SHOW AMOUNTS ON BASIS OF POSITIVE,NEGATIVE VALUE
2.SHOW DATA ON THE BASIS OF AIRLINE WISE GROUPING
Split Grid into two

1 -> Source-Destination wise List (No Airline, 1 row per source,destination)
2 -> Airlinewise List (Airline as group head, source,destinations as child)

3.SHOW AIRLINE NAME IN LIST LIKE (NUM CODE,:;;NAME,(CHAR CODE)
4.SHOW GRID NAME AS AIRLINE CLASS WISE SUMMARY LIST

#22 - 01/23/2024 07:44 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Ul DONE

1.REMOVE DR,CR LABELS AND SHOW AMOUNTS ON BASIS OF POSITIVE,NEGATIVE VALUE
2.SHOW DATA ON THE BASIS OF AIRLINE WISE GROUPING

Split Grid into two

1 -> Source-Destination wise List (No Airline, 1 row per source,destination)
2 —-> Airlinewise List (Airline as group head, source,destinations as child)

3.SHOW AIRLINE NAME IN LIST LIKE (NUM CODE,::,NAME,(CHAR CODE)
4.SHOW GRID NAME AS AIRLINE CLASS WISE SUMMARY LIST

#23 - 01/31/2024 02:55 PM - unnikannan S
TESTING DONE

#24 - 01/31/2024 02:56 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING AMOUNT FROM LIST AFTER CANCELLING A VOUCHER
#25 - 01/31/2024 04:29 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
ISSUE FIXED
1.MISSING AMOUNT FROM LIST AFTER CANCELLING A VOUCHER
#26 - 09/28/2024 11:31 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#27 - 02/22/2025 04:12 PM - Arathy PS
- Assignee changed from Vivekp V to Nawal Sidique

#28 - 02/22/2025 04:19 PM - Arathy PS
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES - DONE

1. Add these new filters : customer, supplier, Airline, showing value
2. Showing value should be select box with price, count, cost, profit
3. In the filter section only 1st row should be visible other rows should be expandable.

ISSUE FOUND - FIXED

Data in summary tab and details tab should be swapped.

#29 - 02/27/2025 09:40 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#30 - 03/06/2025 12:40 PM - Arathy PS

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND - NOT NEEDED

1. While searching using a customer which has done AR sharing, amount is not showing based on AR sharing.

#31 - 03/14/2025 08:41 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
